Package com.independentsoft.office.odf.forms

# Enum Class ButtonType

java.lang.Object
java.lang.Enum<ButtonType>
com.independentsoft.office.odf.forms.ButtonType

All Implemented Interfaces:
  `Serializable`, `Comparable<ButtonType>`, `Constable`

public enum ButtonType extends Enum<ButtonType>
Represents the type of a button.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  Pressing the button loads the URL that is specified in the xlink:href attribute.
  `PUSH`
  Pressing the button does not perform any action by default.
  `RESET`
  Pressing the button resets every control in the form to its default value.
  `SUBMIT`
  Pressing the button submits the form.
  `URL`
  Pressing the button loads the URL that is specified in the xlink:href attribute.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ButtonType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ButtonType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SUBMIT

    public static final ButtonType SUBMIT
    Pressing the button submits the form.

  - ### RESET

    public static final ButtonType RESET
    Pressing the button resets every control in the form to its default value.

  - ### PUSH

    public static final ButtonType PUSH
    Pressing the button does not perform any action by default. A user can add scripts to a button and the script will run when the button is pressed.

  - ### URL

    public static final ButtonType URL
    Pressing the button loads the URL that is specified in the xlink:href attribute.

  - ### NONE

    public static final ButtonType NONE
    Pressing the button loads the URL that is specified in the xlink:href attribute.

- ## Method Details

  - ### values

    public static ButtonType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ButtonType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null